# This spec is backported to ALTLinux 4.0 automatically by rpmbh script. Do not edit it.
%define ver_major 0.9

Name: rhythmbox
Version: %ver_major.7
Release: alt1.0.M40.1

%def_enable python
%def_enable tag_writing
%def_with ipod

Summary: Music Management Application
License: GPL
Group: Sound
Url: http://www.gnome.org/projects/rhythmbox/

Packager: Ilya Mashkin <oddity@altlinux.ru>

%define pkgdocdir %_docdir/%name-%version

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

Obsoletes: libmonkey-media

%define desktop_file_utils_ver 0.8
%define dbus_ver 0.35
%define gconf_ver 2.8.0
%define gnome_media_ver 2.8
%define gnome_vfs_ver 2.7.4
%define gstreamer_ver 0.10.0
%define gtk_ver 2.6.0
%define musicbrainz_ver 2.1.0
%define ncb_ver 2.16.0
%define python_ver 2.3
%define scrollkeeper_ver 0.3.14
%define soup_ver 2.2
%define totem_ver 1.1.5

Requires(post,postun): desktop-file-utils >= %desktop_file_utils_ver
PreReq: scrollkeeper >= %scrollkeeper_ver
PreReq: GConf >= %gconf_ver
Requires: libgtk+2 >= %gtk_ver
Requires: gnome-media-common >= %gnome_media_ver
Requires: gnome-vfs >= %gnome_vfs_ver
Requires: libdbus-glib >= %dbus_ver
Requires: libmusicbrainz >= %musicbrainz_ver
Requires: libtotem >= %totem_ver

Requires: gstreamer >= %gstreamer_ver
Requires: libgst-plugins >= %gstreamer_ver
Requires: gstreamer(audio-hardware-sink)
Requires: gst-plugins-audio-filters
Requires: gst-plugins-audio-formats
Requires: gst-plugins-container-formats
Requires: gst-plugins-tags
Requires: gst-plugins-gconf
Requires: gst-plugins-mad

%if_enabled python
# rb and rhythmdb bindings are linked into rhythmbox statically
Provides: python%__python_version(rb)
Provides: python%__python_version(rhythmdb)
%endif

%define _libexecdir %_libdir/%name

BuildPreReq: desktop-file-utils

BuildRequires: check GConf gcc-c++ gtk-doc imake libavahi-glib-devel
BuildRequires: libglade-devel libgnomeui-devel libhal-devel liblirc-devel
BuildRequires: libmusicbrainz-devel libnotify-devel
BuildRequires: libsexy-devel libstdc++-devel termutils


%if_enabled python
BuildRequires: python-dev >= %python_ver
BuildRequires: python-module-pygobject-devel python-module-pygtk-devel
BuildRequires: python-modules-encodings
%endif

BuildRequires: autoconf >= 2.53
BuildRequires: automake >= 1.7
BuildRequires: libtool >= 1.4.3
BuildRequires: glib2-devel >= 2.2.0
BuildRequires: intltool >= 0.25
BuildRequires: pkgconfig >= 0.14.0
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: gnome-common >= 2.3.0
BuildRequires: rpm >= 4.0.4-alt14

BuildRequires: GConf >= %gconf_ver
BuildRequires: libgtk+2-devel >= %gtk_ver
BuildRequires: gnome-vfs-devel >= %gnome_vfs_ver
BuildRequires: gnome-media-devel >= %gnome_media_ver
BuildRequires: libdbus-glib-devel >= %dbus_ver
BuildRequires: libsoup-devel >= %soup_ver
BuildRequires: libnautilus-cd-burner-devel >= %ncb_ver
BuildRequires: libmusicbrainz-devel >= %musicbrainz_ver
BuildRequires: libtotem-devel >= %totem_ver

BuildRequires: gstreamer-devel >= %gstreamer_ver
BuildRequires: gstreamer-utils >= %gstreamer_ver
BuildRequires: gst-plugins-devel >= %gstreamer_ver

%if_with ipod
BuildRequires: libgpod-devel
%endif

BuildRequires: rpm-build-compat >= 0.95

%description
Rhythmbox is an integrated music management application, supporting
a music library, multiple playlists, internet radio, and more.

%package devel
Summary: Development files for Rhythmbox
Group: Development/Other
Requires: %name = %version-%release

%description devel
Files needed to develop applications that manipulate Rhythmbox,
an integrated music management application.

%package devel-doc
Summary: API documentation for Rhythmbox
Group: Development/C

%description devel-doc
API documentation for Rhythmbox, an integrated music management application.

%package plugins-audioscrobbler
Summary: Audioscrobbler plugin for Rhythmbox
Group: Sound
Requires: %name = %version-%release
Requires: libsoup >= %soup_ver

%description plugins-audioscrobbler
Plugin to the Rhythmbox music manager that adds
Audioscrobbler (Last.fm) service support.

%package plugins-cd-recorder
Summary: CD recorder plugin for Rhythmbox
Group: Sound
Requires: %name = %version-%release
Requires: libnautilus-cd-burner >= %ncb_ver

%description plugins-cd-recorder
Plugin to the Rhythmbox music manager that provides
support for recording audio CDs from playlists

%package plugins-ipod
Summary: iPod plugin for Rhythmbox
Group: Sound
Requires: %name = %version-%release

%description plugins-ipod
Plugin to the Rhythmbox music manager that adds
support for Apple iPod media player.

%package plugins-lirc
Summary: LIRC plugin for Rhythmbox
Group: Sound
Requires: %name = %version-%release

%description plugins-lirc
Plugin to the Rhythmbox music manager that adds
Linux Infrared Remote Control support.

%package plugins-python
Summary: Python plugin for Rhythmbox
Group: Development/Python
Requires: %name = %version-%release

%description plugins-python
Python scripting language capabilities and several Python plugins
to the Rhythmbox music manager.

%prep
%setup -q
# There is GSequence in the Glib version we build with. The workaround
# relies on autogen.sh invocation later on (Makefile.in files are not
# patched).
rm -rf rhythmdb/gsequence
subst 's|gsequence\.[ch]||' rhythmdb/Makefile.am
subst 's|gsequence|glib/gsequence|' */*.c
# Wicked. Don't do things like this.
subst 's|GSequencePtr\s*\([a-z_]\+\s*,\s*\)\([a-z_]\+\)|GSequenceIter *\1*\2|' */*.c
subst 's|GSequencePtr\s*\([a-z_]\+\)|GSequenceIter *\1|' */*.c
subst 's|g_sequence_ptr_get_data|g_sequence_get|g' */*.c
subst 's|\(g_sequence_[a-z_]*\)ptr|\1iter|g' */*.c
subst 's|g_sequence_insert\b|g_sequence_insert_before|g' */*.c
rm -rf doc/reference/{xml/gsequence.xml,tmpl/gsequence.sgml}
subst '/gsequence/d' doc/reference/rhythmbox-sections.txt

%build

NOCONFIGURE=1 ./autogen.sh

%configure \
    --disable-static \
    --disable-schemas-install \
%if_enabled tag_writing
    --enable-tag-writing \
%endif
    %{subst_enable python} \
    --with-dbus \
    %{subst_with ipod} \
    --with-playback=gstreamer-0-10 \
    --with-mdns=avahi

# Non-parallel build
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

install -d -m755 %buildroot%pkgdocdir
install -p -m644 AUTHORS DOCUMENTERS MAINTAINERS ChangeLog README* NEWS THANKS TODO %buildroot%pkgdocdir/
bzip2 -9 %buildroot%pkgdocdir/ChangeLog
ln -s %_licensedir/GPL-2 %buildroot%pkgdocdir/COPYING

# remove non-packaged files
%__rm -f %buildroot%_libdir/bonobo/*a
%__rm -f %buildroot%_libdir/%name/plugins/*.la
%__rm -rf %buildroot%_localstatedir/scrollkeeper

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_scrollkeeper
%update_desktopdb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_scrollkeeper
%clean_desktopdb

%files -f %name.lang
%_bindir/*
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_libdir/%name/rhythmbox-metadata
%_libdir/%name/plugins/*generic-player*
%_libdir/%name/plugins/*audiocd*
%_libdir/%name/plugins/daap
%_libdir/%name/plugins/iradio
%_libdir/%name/plugins/power-manager
%_datadir/%name/*
%_datadir/applications/*
%_datadir/dbus-1/services/*
%_datadir/icons/hicolor/48x48/apps/*
%config %_sysconfdir/gconf/schemas/*
%pkgdocdir/AUTHORS
%pkgdocdir/DOCUMENTERS
%pkgdocdir/MAINTAINERS
%pkgdocdir/COPYING
%pkgdocdir/ChangeLog.bz2
%pkgdocdir/NEWS
%pkgdocdir/README
%pkgdocdir/THANKS
%pkgdocdir/TODO

%files plugins-audioscrobbler
%_libdir/%name/plugins/*audioscrobbler*

%files plugins-cd-recorder
%_libdir/%name/plugins/cd-recorder

%if_with ipod
%files plugins-ipod
%_libdir/%name/plugins/*ipod*
%pkgdocdir/README.iPod
%endif

%files plugins-lirc
%_libdir/%name/plugins/*lirc*

%if_enabled python
%files plugins-python
%_libdir/%name/plugins/python-console
%_libdir/%name/plugins/artdisplay*
%_libdir/%name/plugins/lyrics
%_libdir/%name/plugins/rb
%_libdir/%name/plugins/magnatune
%endif

%exclude %_libdir/%name/plugins/*/*.la

%changelog
* Mon Aug 18 2008 Alexey Rusakov <ktirf@altlinux.org> 0.9.7-alt1.0.M40.1
- Fixed building with newer Glib.
- Packaged magnatune plugin along with other Python plugins.
- Packaged daap, iradio and power-manager plugins.
- Todo: gtk-doc files stay unpackaged.

* Tue Feb 06 2007 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.7-alt1.0
- Rebuilt with libgpod.so.1.

* Sat Jan 13 2007 Ilya Mashkin <oddity@altlinux.ru> 0.9.7-alt1
- new version

* Sat Oct 07 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.6-alt2
- Rebuilt with new nautilus-cd-burner

* Sun Oct 01 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.6-alt1
- Release 0.9.6
- Added cd-recorder plugin package
- Updated dependencies

* Sun Jun 18 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.5-alt1
- Release 0.9.5
- Patch1 is obsolete
- Added plugin package for ipod
- No more rhythmbox-devel

* Mon Jun 05 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.4.1-alt2
- Conditionally enabled python support
- Provide dependency targets needed for the python plugin

* Fri Jun 02 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.4.1-alt1
- Release 0.9.4.1
- Patch0: has gone upstream
- Patch1: correct a libnotify version condition check to work with 0.4.0
- Do not require gst-plugins-visualization

* Wed Apr 26 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.4-alt1
- Release 0.9.4
- Added plugin packages
- Buildreq

* Fri Mar 17 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.3.1-alt1
- Updated to 0.9.3.1
- Build with GStreamer 0.10
- Removed Debian-style menu
- Removed most of enable/with options
- Disabled iPod support by default
- Patch0: fix link order to build with ld --as-needed

* Wed Oct 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.8-alt0.5
- 0.8.8

* Mon Sep 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.6-alt0.5
- 0.8.6

* Thu Jul 01 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.5-alt0.5
- 0.8.5

* Sat May 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.3-alt0.5
- 0.8.3

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt0.5
- 0.8.1

* Sat Apr 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt0.5
- 0.8.0

* Sat Apr 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.2-alt0.5
- 0.7.2

* Fri Apr 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt0.5
- 0.7.1

* Mon Dec 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.3-alt0.5
- 0.6.3

* Thu Dec 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.2-alt0.5
- 0.6.2

* Thu Nov 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt0.5
- 0.6.1

* Mon Oct 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.88-alt0.5
- 0.5.88

* Fri Sep 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.3-alt0.5
- 0.5.3

* Thu Aug 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.2-alt0.5
- 0.5.2

* Wed Aug 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt0.5
- 0.5.1

* Tue Mar 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt0.5
- First build for Sisyphus.
